CURSES_STANDOUT(3) | Library Functions Manual | CURSES_STANDOUT(3)

# NAME

`curses_standout`, `standout`, `standend`, `wstandout`, `wstandend` — curses standout attribute manipulation routines

# LIBRARY

Curses Library (libcurses, -lcurses)

# SYNOPSIS

`#include <curses.h>`

int
`standout`(void);

int
`standend`(void);

int
`wstandout`(WINDOW *win);

int
`wstandend`(WINDOW *win);

# DESCRIPTION

These functions manipulate the standout attribute on stdscr or on the specified window. The standout attribute applies the "best" supported highlighting mode supported by the current terminal, which may be an alias of other attributes.

The `standout`() function turns on the standout attribute on stdscr. The `standend`() function turns off all attributes on stdscr.

The `wstandout`() and `wstandend`() functions are equivalent to `standout`() and `standend`(), respectively, excepting that the attribute is manipulated on the window specified by win.

The `standout`() and `standend`() functions are equivalent to `attron`(A_STANDOUT) and `attroff`(A_STANDOUT), respectively.

# RETURN VALUES

These functions always return 1.

# SEE ALSO

curses_attributes(3), curses_underscore(3)

# STANDARDS

The NetBSD Curses library complies with the X/Open Curses specification, part of the Single Unix Specification.

# HISTORY

The Curses package appeared in 4.0BSD.

# CAVEATS

On some terminals, characters with standout set may have the same appearance as characters with the reverse video or bold attribute set. However, on legacy terminals, standout may be the only attribute that can be used to emphasize characters. The standout attribute should not be mixed with other attributes.

July 27, 2021 | NetBSD 11.0